Difference between revisions of "Tracking Dependencies"

From Inkscape Wiki
Jump to: navigation, search
m (Overview: ws)
(Libs: Drop data for obsolete Inkscape releases - again, it's still in pagelog, and it makes the table unwieldy)
Line 14: Line 14:
 
|-
 
|-
 
! Library
 
! Library
! v 0.45
 
! v 0.46
 
 
! v 0.47
 
! v 0.47
! v 0.48
+
! v 0.48.x
 
! trunk
 
! trunk
 
|-
 
|-
 
| Boehm-GC
 
| Boehm-GC
| ?
 
| ?
 
 
| ?
 
| ?
 
| 6.4
 
| 6.4
Line 28: Line 24:
 
|-
 
|-
 
| Cairo
 
| Cairo
| ?
 
| ?
 
 
| ?
 
| ?
 
| ?
 
| ?
Line 35: Line 29:
 
|-
 
|-
 
| GDK
 
| GDK
| ?
 
| ?
 
 
| ?
 
| ?
 
| ?
 
| ?
Line 42: Line 34:
 
|-
 
|-
 
| Glib
 
| Glib
| ?
 
| ?
 
 
| ''2.16*''
 
| ''2.16*''
 
| ''2.16*''
 
| ''2.16*''
Line 49: Line 39:
 
|-
 
|-
 
| GTK+
 
| GTK+
| 2.8
 
| 2.10
 
 
| ''2.12*''
 
| ''2.12*''
 
| ''2.12*''
 
| ''2.12*''
Line 56: Line 44:
 
|-
 
|-
 
| GNU Scientific Library
 
| GNU Scientific Library
| X
 
| X
 
 
| ?
 
| ?
 
| ?
 
| ?
Line 63: Line 49:
 
|-
 
|-
 
| LittleCMS
 
| LittleCMS
| ?
 
| ?
 
 
| 1.13
 
| 1.13
 
| 1.13
 
| 1.13
Line 70: Line 54:
 
|-
 
|-
 
| libxml
 
| libxml
| ?
 
| ?
 
 
| ''2.6.11*''
 
| ''2.6.11*''
 
| ''2.6.11*''
 
| ''2.6.11*''
Line 77: Line 59:
 
|-
 
|-
 
| libxslt
 
| libxslt
| ?
 
| ?
 
 
| ''1.0.15*''
 
| ''1.0.15*''
 
| ''1.0.15*''
 
| ''1.0.15*''
Line 84: Line 64:
 
|-
 
|-
 
| Pango
 
| Pango
| ?
 
| ?
 
 
| ?
 
| ?
 
| ?
 
| ?
Line 91: Line 69:
 
|-
 
|-
 
| Poppler
 
| Poppler
| ?
 
| ?
 
 
| ''0.5.9*''
 
| ''0.5.9*''
 
| ''0.5.9*''
 
| ''0.5.9*''
Line 98: Line 74:
 
|-
 
|-
 
| libsigc++
 
| libsigc++
| ?
 
| ?
 
 
| ''2.0.12*''
 
| ''2.0.12*''
 
| ''2.0.12*''
 
| ''2.0.12*''

Revision as of 17:59, 19 December 2011

(stub contents in need of filling out)

Overview

We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the needed dependencies.

To get glib and GTK+ dependencies figured out, people can go through the API documentation and look for the 'since' entries saying when calls were added. Then look for those calls in our source. Voila! we'll have base minimum dependencies figured out.

Libs

C++ bindings are not included, since their required versions match those of the C counterparts.

Library v 0.47 v 0.48.x trunk
Boehm-GC  ? 6.4 6.4
Cairo  ?  ? 1.10
GDK  ?  ?  ?
Glib 2.16* 2.16* 2.24
GTK+ 2.12* 2.12* 2.20
GNU Scientific Library  ?  ?  ?
LittleCMS 1.13 1.13 1.13
libxml 2.6.11* 2.6.11* 2.6.11*
libxslt 1.0.15* 1.0.15* 1.0.15*
Pango  ?  ?  ?
Poppler 0.5.9* 0.5.9* 0.5.9*
libsigc++ 2.0.12* 2.0.12* 2.0.12*

* Tentative dependency

Functions Used

Function Lib Since Required
g_timeout_add_seconds Glib 2.14  ?

Distros

Note: This table is not relevant to (non-fink) MacOS X, where we ship the desired version with Inkscape.

Distro cairo glib glibmm gtk+ (v2) gtk+ (v3) gtkmm pango
Windows Devlibs 1.10.2 2.26.1 2.26.0 2.22.1 (none) 2.22.0 1.28.3
Debian 5.0 (Lenny, oldstable) EOL 2012-02-07 1.6.4 2.16.6 2.16.4 2.12.12 (none) 2.12.7 1.20.5
Debian 6.0 (Squeeze, stable) EOL ~2014? 1.8.10 2.24.2 2.24.2 2.20.1 (none) 2.20.3 1.28.3
Fedora 15 EOL 2012-06 1.10.2 2.28.6 2.28.6 2.24.4 3.0.9 2.24.0 1.28.4
Fedora 16 1.10.2 2.30.1 2.30.0 2.24.8 3.2.1 2.24.2
3.2.0
1.29.4
Open SuSE 11.3 EOL 2012-01-15 1.8.10 2.24.1 2.24.2 2.20.1 (none) 2.20.3 1.28.0
Open SuSE 11.4 EOL 2012-09-15 1.10.2 2.28.0 2.25.5 2.22.1 (none) 2.22.0 1.28.3
Open SuSE 12.1 EOL 2013-05-15 1.10.2 2.30.1 2.30.0 2.24.7 3.2.1 2.24.2
3.2.0
1.29.4
Ubuntu 10.04 LTS (Lucid) EOL 2013-04 (Desktop), EOL 2015-04 (Server) 1.8.10 2.24.0 2.24.1 2.20.0 (none) 2.20.2 1.28.0
Ubuntu 10.10 (Maverick) EOL 2012-04 1.10.0 2.26.1 2.25.2 2.22.0 (none) 2.20.3 1.28.2
Ubuntu 11.04 (Natty) EOL 2012-10 1.10.2 2.28.6 2.28.0 2.24.4 3.0.8 2.24.0 1.28.4
Ubuntu 11.10 (Oneiric) EOL 2013-04 1.10.2 2.30.0 2.30.0 2.24.6 3.2.0 2.24.2
3.2.0
1.29.3
Legend
Inkscape 0.48 unsupported
Inkscape trunk unsupported